/* JTip By Cody Lindley */

$(document).ready(JT_init);

function JT_init(){
	   $("a.jTip").each(function(){
				var img_obj		=	$(this).children("img");
				img_obj.hover(function(){
					this.src	=	'images/help_over.png';
				},function(){this.src='images/help.png'});	
				$(this).mousedown(function(e){
				 	$('#JT').remove();
					JT_show(this.href,this,this.name);	
					return false;
				}).click(function(){
					return false;
				});
		});	
}

function JT_show(url,obj,title){
	if(title == false)title="&nbsp;";
	var de = document.documentElement;
	var w = self.innerWidth || (de&&de.clientWidth) || document.body.clientWidth;
	var hasArea = w - getAbsoluteLeft(obj);
	var clickElementy = getAbsoluteTop(obj) - 3; //set y position
	
	var queryString = url.replace(/^[^\?]+\??/,'');
	var params = parseQuery( queryString );
	if(params['width'] === undefined){params['width'] = 170};
	if(params['link'] !== undefined){
	$(obj).bind('click',function(){window.location = params['link']});
	$(obj).css('cursor','pointer');
	}
	if(hasArea>((params['width']*1)+75)){
		$("body").append("<div id='JT' style='width:"+params['width']*1+"px'><div id='JT_arrow_left'></div><div id='JT_close_left'><span style='float:right;font-size:18px;'><a href='javascript:void(0);' onclick='$(\"#JT\").remove();'>X</a></span>"+title+"</div><div id='JT_copy'><div class='JT_loader'><div></div></div>");//right side
		var arrowOffset = getElementWidth(obj) + 11;
		var clickElementx = getAbsoluteLeft(obj) + arrowOffset; //set x position
	}else{
		$("body").append("<div id='JT' style='width:"+params['width']*1+"px'><div id='JT_arrow_right' style='left:"+((params['width']*1)+1)+"px'></div><div id='JT_close_right'><span style='float:right;font-size:18px;'><a href='javascript:void(0);' onclick='$(\"#JT\").remove();'>X</a></span>"+title+"</div><div id='JT_copy'><div class='JT_loader'><div></div></div>");//left side
		var clickElementx = getAbsoluteLeft(obj) - ((params['width']*1) + 15); //set x position
	}
	
	$('#JT').css({left: clickElementx+"px", top: clickElementy+"px"});
	$("#JT").hide();
	$("#JT").show('slow',function(){
		$('#JT_copy').load(url,
			function(){
				$('#JT_copy').show('slow');
			}
		);		
	});
	
}

function getElementWidth(obj) {
	x = obj;
	return x.offsetWidth;
}

function getAbsoluteLeft(obj) {
	// Get an object left position from the upper left viewport corner
	o =	obj 
	oLeft = o.offsetLeft            // Get left position from the parent object
	while(o.offsetParent!=null) {   // Parse the parent hierarchy up to the document element
		oParent = o.offsetParent    // Get parent object reference
		oLeft += oParent.offsetLeft // Add parent left position
		o = oParent
	}
	return oLeft
}

function getAbsoluteTop(obj) {
	// Get an object top position from the upper left viewport corner
	o =	obj 
	oTop = o.offsetTop            // Get top position from the parent object
	while(o.offsetParent!=null) { // Parse the parent hierarchy up to the document element
		oParent = o.offsetParent  // Get parent object reference
		oTop += oParent.offsetTop // Add parent top position
		o = oParent
	}
	return oTop
}

function parseQuery ( query ) {
   var Params = new Object ();
   if ( ! query ) return Params; // return empty object
   var Pairs = query.split(/[;&]/);
   for ( var i = 0; i < Pairs.length; i++ ) {
      var KeyVal = Pairs[i].split('=');
      if ( ! KeyVal || KeyVal.length != 2 ) continue;
      var key = unescape( KeyVal[0] );
      var val = unescape( KeyVal[1] );
      val = val.replace(/\+/g, ' ');
      Params[key] = val;
   }
   return Params;
}

function blockEvents(evt) {
              if(evt.target){
              evt.preventDefault();
              }else{
              evt.returnValue = false;
              }
}
